$buttoncolor : #2B2E4A;
$linkcolor : #0D6EFD;
$blue : #013e67;

*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    
}

html, body {
    margin:0px;
    height: 100%;
  }

body, html {
  height: 100%;

}

.navbar{
    display: flex;
    justify-content: space-between;
    background-color: rgba(4, 26, 40, 0.2);
   
    #logo{
        width: 150px;
    }

    .navbar-links {
        
        
        margin: auto;
        li{
            width: 100%;
            list-style: none;
            a{
                text-decoration: none;
                color: white;
                padding: .5rem;
                display: block;
            }

            &:hover{
                border-bottom: 2px $blue solid;
            }
        }
        ul{
            margin: 0;
            padding: 0;
            display: flex;
        }
    }

    .navbar-links-right{
   
        li{
            list-style: none;
            a{
                text-decoration: none;
                color: white;
                padding: .5rem;
                display: block;
            }

            &:hover{
                border-bottom: 2px $blue solid;
            }
        }
        ul{
            margin: 0;
            padding: 0;
            display: flex;
        }
    }
    
    .toggle-button{
        position: absolute;
        top: .75rem;
        right: 1rem;
        display: none;
        flex-direction: column;
        justify-content: space-between;
        width: 30px;
        height: 21px;

        .bar{
            height: 3px;
            width: 100%;
            background-color: white;
            border-radius: 10px;
        }

      
    }

   
}


.navbar-dark{
    display: flex;
    justify-content: space-between;
    
   
    #logo{
        width: 150px;
    }

    .navbar-links {
        
        
        margin: auto;
        li{
            width: 100%;
            list-style: none;
            a{
                text-decoration: none;
                color: black;
                padding: .5rem;
                display: block;
            }

            &:hover{
                border-bottom: 2px $blue solid;
            }
        }
        ul{
            margin: 0;
            padding: 0;
            display: flex;
        }
    }

    .navbar-links-right{
   
        li{
            list-style: none;
            a{
                text-decoration: none;
                color: black;
                padding: .5rem;
                display: block;
            }

            &:hover{
                border-bottom: 2px $blue solid;
            }
        }
        ul{
            margin: 0;
            padding: 0;
            display: flex;
        }
    }
    
    .toggle-button-dark{
        position: absolute;
        top: .75rem;
        right: 1rem;
        display: none;
        flex-direction: column;
        justify-content: space-between;
        width: 30px;
        height: 21px;

        .bar{
            height: 3px;
            width: 100%;
            background-color: black;
            border-radius: 10px;
        }

      
    }

   
}



.token-holder{
    margin: 30px auto;
    width: 60%;
    text-align: left;
    border-radius: 20px;
    border: 2px solid #F5AC37;
    height: 350px;
    padding: 10px;
    background-color: $blue;
    -webkit-box-shadow:0px 0px 15px 0px rgb(255, 228, 49);
-moz-box-shadow: 0px 0px 15px 0px  rgb(255, 228, 49);
box-shadow: 0px 0px 15px 0px  rgb(255, 228, 49);

    p{
        color: white;
        margin: 0 10px;
        font-size: 18px;
        font-weight: 500;
    }

    .vertical-div{
        border-left: 2px solid rgb(141, 141, 141);
        height: 300px;
        position: absolute;
        margin-top: 20px;
        margin-left: -3px;
    }
 

    .holder-main{
        width: 100%;
        height: 350px;

        .img-title-holder{
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%,-50%);
            text-align: center;
            margin: auto;
            p{
                color: white;
                font-size: 45px;
                padding-top: 10px;
                margin: 0 30px;
            }
        
            img{
                width: 70px;
                height: 70px;
            }
    
        }
    }

    input{
        margin: auto;
        background-color: transparent;
        border-radius: 10px;
        color: white;
        border: 2px #eee solid;
        
    }

    input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

    .stake-btn{
        background-color: $buttoncolor;
        color: white;
        &:hover{
            background-color: $buttoncolor;
            color: white;
        }
    }

    
   
}



// .dropdown{
//     position: relative;
//     .dropdown-menu{
//         border-style: none;
//         border-radius: 10px;
//         outline: none;
//         .dropdown-item{
//             color: rgb(0, 0, 0);
//             &:hover{
               
//             }
//         }
        

//             // &::-webkit-scrollbar-track {
//             //     width: 8px;
//             //     background-color: #0D6EFD;
//             //   position: absolute;
//             //   right: 20px;
//             //   margin-top: 10px;
//             //   margin-bottom: 10px;
                
//             // }

//             // &::-webkit-scrollbar-thumb{
//             //     background-color: #0245a8;
//             // }

            
//     }
    
// }


.stake-main-container{
    text-align: center;
    height: 100vh;
background-image: linear-gradient(147deg, #000000 0%, #04619f 74%);

    .main-container{
        width: 60%;
        margin: auto;
        
    }

    .number{
        color: #F5AC37;
    }
}

.stake-token-holder{
    cursor: pointer;
    border-radius: 20px;
    border: 2px solid #F5AC37;
    margin: 5px;
    height: 100%;
    padding: 10px;
    background-color: $blue;
    -webkit-box-shadow:0px 0px 15px 0px rgb(255, 228, 49);
-moz-box-shadow: 0px 0px 15px 0px  rgb(255, 228, 49);
box-shadow: 0px 0px 15px 0px  rgb(255, 228, 49);
    

    .token-name{
        font-size: 35px;
        font-weight: 600;
    }

    img{
        margin: auto;
        width: 50px;
        height: 50px;
    }
    p{
        color: white;
        font-weight: 500;
        font-size: 25px;
        padding-left: 10px;
    }

    .button{
        background-color: white;
        &:hover{  background-color: white;}
    }

    .input-stake{
        color: black;
        background-color: rgb(231, 231, 231);
        border-radius: 10px;
        padding: 10px;
        outline: none;
        border-style: none;

       
    }

    .stake-btn{
        margin-left: 5px;
        background-color: rebeccapurple;
    }
}

// .navbar{
//     background:rgba(156, 156, 156, 0.1);
//     #logo{
//         width: 150px;
//     }

//     .link{

//         &:hover{
//             transform: scale(1.2);
//             font-weight: 500;
//             background:rgba(156, 156, 156, 0.2);
//             border-radius: 20px;
            
//         }
        
//     }

//     .button{
//         background-color: $buttoncolor;
//         border-style: none;
//         outline: none;

//         &:hover{
//             background-color: $buttoncolor;
//         }

//     }
// }



.div-container{
    text-align: center;
    height: 100%;

    .main-contanier {
        display:inline-block;
        height:auto;
        text-align: left;
        width: 80%;

        img{
            width: 200px;
        }
        .link, .ico{
            color: $linkcolor;
        }
        .link{
            font-weight: 700;
            &:hover{
                border-bottom: 2px solid $linkcolor;
            }
        }
    
        .header-one{
            font-size: 50px;
            font-weight: 500;
        }
    
        .main-text{
            font-size: 20px;
        }
        
        .email-div{
            label{
                margin-left: 10px;
                margin-bottom: 10px;
            }
            .email-input-holder{
                background-color: $buttoncolor;
                position: relative;
                width: 100%;
                height: 60px;
                margin: 0;
                padding: 0;
                border-radius: 50px;
                input, button{
                    background-color: transparent;
                    border-style: none;
                    outline: none;
                    color: white;
                }
        
                
                input{
                    padding-left: 20px;
                }
                button{
                    position: absolute;
                    right: 20px;
                    top:50%;
                    transform: translate(0, -50%);
                }
            }
        }

        .ico-holder{

            text-align: left;
        
            .img-holder{
                background-color: black;
                position: relative;
                width: 50px;
                height: 50px;
                padding: 0;
                margin: 0;
                border-radius: 10px;
                img{
                    width: 80%;
                    position: absolute;
                    top: 50%;
                    left: 50%;
                    transform: translate(-50%, -50%);
                }
                p{
                    padding: 0;
                    margin: 0;
                }
            }
        }
        
    }
}

.right-side-holder{
    text-align: center;
    height: 100%;
  

    .right-side-child-container{
        display:inline-block;
        height:90vh;
        width: 80%;
        margin: auto;
        position: relative;
      

        img{
            position: absolute;
            top: 50%;
            left: 50%;
            transform: translate(-50%, -50%);
            width: 100%;
            height: 350px;
            object-fit: cover;
            border-radius: 20px;
            box-shadow: 5px 10px 5px 0px rgba(0,0,0,0.3);
    -webkit-box-shadow: 5px 10px 5px 0px rgba(0,0,0,0.3);
    -moz-box-shadow: 5px 10px 5px 0px rgba(0,0,0,0.3);
        }
        #circle{
            position: absolute;
            top: 35%;
            left: 10%;
            transform: translate(-50%, -50%);
            z-index: -1;
            width: 350px;
            height: 350px;
            border-radius: 200px;
            background:rgba(156, 156, 156, 0.2);
        }
    }

   
}

.sign-up-main-holder{
    height: 80vh;
    width: 100%;
    text-align: center;

    .sign-up-holder{
        text-align: left;
        margin: auto;
        width: 30%;
        height: 70vh;  
        padding:  0;
        background:rgba(156, 156, 156, 0.1);
        border-radius: 15px;
        box-shadow: 10px 10px 11px 0px rgba(0,0,0,0.2);
    -webkit-box-shadow: 10px 10px 11px 0px rgba(0,0,0,0.2);
    -moz-box-shadow: 10px 10px 11px 0px rgba(0,0,0,0.2);
        .form-holder{
            width: 60%;
            margin: 0 auto;
            
    
            .btn-holder{
                display: flex;
                justify-content: center;
                margin: auto;
            }
    
           
            img{
                width: 40px;
                margin: 0 8px;
                cursor: pointer;
               
            }
            div{
                margin: auto;
            }
                     
            button {
                background-image: linear-gradient(to right, #02AAB0 0%, #00CDAC  51%, #02AAB0  100%);
                margin: 10px;
                padding: 5px 40px;
                text-align: center;
                text-transform: uppercase;
                transition: 0.5s;
                background-size: 200% auto;
                color: white;            
                box-shadow: 0 0 20px #eee;
                border-radius: 10px;
                border-style: none;
                outline: none;
                display: block;
    
                &:hover{
                    background-position: right center; /* change the direction of the change here */
                color: #fff;
                text-decoration: none;
                }
              }
    
           
    
            label{
                font-size: 20px;
            }
    
            input{
                width: 100%;
                outline: none;
                border-style: none;
                border-bottom: 5px solid $buttoncolor;
                background-color: transparent;
            }
        }
        .img-holder{
            width: 100%;
            height: 25%;
            position: relative;
    
        
            img{
                position: absolute;
                top: 50%;
                left: 50%;
                width: 350px;
                transform: translate(-50%, -50%);
            }
        }
        
    }
}

.content-holder{
    height: 80vh;
    width: 80%;
    text-align: center;
    margin: 50px auto;
    .title{
        font-size: 50px;
        font-weight: 600;
    }

    .body{
        font-size: 20px;
        text-align: left;
    }
}


// phone
@media (min-width: 320px) and (max-width: 1024px) {

    .navbar {
        
        flex-direction: column;
        align-items: flex-start;

        #logo{
                    width: 150px;
                }
        .navbar-links-hide{
            display: none;
        }

       
        .navbar-links{
            width: 100%;
            margin-top: 5px;
            li{
                text-align: right;
                a{
                    padding: .6rem 1rem;
                 
                }
            }
            ul{
                width: 100%;
                flex-direction: column;
                
    
            }
        }
     

        .navbar-links-right-hide{
            display: none;
        }

        .navbar-links-right{
            width: 100%;
            margin-top: 5px;
            li{
                text-align: right;
                a{
                    padding: .6rem 1rem;
                 
                }
            }
            ul{
                width: 100%;
                flex-direction: column;
                
    
            }
        }
      
       
        
        .toggle-button{
            display: flex;
            cursor: pointer;
        }

        
    }


    .navbar-dark {
        
        flex-direction: column;
        align-items: flex-start;

        #logo{
                    width: 150px;
                }
        .navbar-links-hide{
            display: none;
        }

       
        .navbar-links{
            width: 100%;
            margin-top: 5px;
            li{
                text-align: right;
                a{
                    padding: .6rem 1rem;
                 
                }
            }
            ul{
                width: 100%;
                flex-direction: column;
                
    
            }
        }
     

        .navbar-links-right-hide{
            display: none;
        }

        .navbar-links-right{
            width: 100%;
            margin-top: 5px;
            li{
                text-align: right;
                a{
                    padding: .6rem 1rem;
                 
                }
            }
            ul{
                width: 100%;
                flex-direction: column;
                
    
            }
        }
       
        .toggle-button-dark{
            color: black;
            display: flex;
            cursor: pointer;
        }

        
    }
    .div-container{
        text-align: center;
        height: 100%;
    
        .main-contanier {
            display:inline-block;
            height:auto;
            text-align: left;
            width: 80%;
    
            img{
                width: 200px;
            }
            .link, .ico{
                color: $linkcolor;
            }
            .link{
                font-weight: 700;
                &:hover{
                    border-bottom: 2px solid $linkcolor;
                }
            }
        
            .header-one{
                font-size: 50px;
                font-weight: 500;
            }
        
            .main-text{
                font-size: 20px;
            }
            
            .email-div{
                label{
                    margin-left: 10px;
                    margin-bottom: 10px;
                }
                .email-input-holder{
                    background-color: $buttoncolor;
                    position: relative;
                    width: 100%;
                    height: 60px;
                    margin: 0;
                    padding: 0;
                    border-radius: 50px;
                    input, button{
                        background-color: transparent;
                        border-style: none;
                        outline: none;
                        color: white;
                    }
            
                    
                    input{
                        padding-left: 20px;
                    }
                    button{
                        position: absolute;
                        right: 20px;
                        top:50%;
                        transform: translate(0, -50%);
                    }
                }
            }
    
            .ico-holder{
    
                text-align: left;
                margin: 15px;
                padding: 5px;
                .icox{
                    margin: 5px 0;
                }
            
                .img-holder{
                    
                    background-color: black;
                    position: relative;
                    width: 50px;
                    height: 50px;
                    padding: 0;
                    margin: 0;
                    border-radius: 10px;
                    img{
                        width: 80%;
                        position: absolute;
                        top: 50%;
                        left: 50%;
                        transform: translate(-50%, -50%);
                    }
                    p{
                        padding: 0;
                        color: black;
                        margin: 0;
                    }
                }
            }
            
        }
    }
    


    .sign-up-main-holder{
        height: 80vh;
        width: 100%;
        text-align: center;
    
        .sign-up-holder{
            text-align: left;
            margin: auto;
            width: 80%;
            height: 70vh;  
            padding:  0;
            background:rgba(156, 156, 156, 0.1);
            border-radius: 15px;
            box-shadow: 10px 10px 11px 0px rgba(0,0,0,0.2);
        -webkit-box-shadow: 10px 10px 11px 0px rgba(0,0,0,0.2);
        -moz-box-shadow: 10px 10px 11px 0px rgba(0,0,0,0.2);
            .form-holder{
                width: 60%;
                margin: 0 auto;
                
        
                .btn-holder{
                    display: flex;
                    justify-content: center;
                    margin: auto;
                }
        
               
                img{
                    width: 40px;
                    margin: 0 8px;
                    cursor: pointer;
                   
                }
                div{
                    margin: auto;
                }
                         
                button {
                    background-image: linear-gradient(to right, #02AAB0 0%, #00CDAC  51%, #02AAB0  100%);
                    margin: 10px;
                    padding: 5px 40px;
                    text-align: center;
                    text-transform: uppercase;
                    transition: 0.5s;
                    background-size: 200% auto;
                    color: white;            
                    box-shadow: 0 0 20px #eee;
                    border-radius: 10px;
                    border-style: none;
                    outline: none;
                    display: block;
        
                    &:hover{
                        background-position: right center; /* change the direction of the change here */
                    color: #fff;
                    text-decoration: none;
                    }
                  }
        
               
        
                label{
                    font-size: 20px;
                }
        
                input{
                    width: 100%;
                    outline: none;
                    border-style: none;
                    border-bottom: 5px solid $buttoncolor;
                    background-color: transparent;
                }
            }
            .img-holder{
                width: 100%;
                height: 25%;
                position: relative;
        
            
                img{
                    position: absolute;
                    top: 50%;
                    left: 50%;
                    width: 250px;
                    transform: translate(-50%, -50%);
                }
            }
            
        }
    }



    // staking page
    .stake-main-container{
        text-align: center;
        height: 100vh;
    
        .main-container{
            width: 100%;
            margin: auto;
            
        }
    
        .number{
            color: #F5AC37;
        }
    }
    
    .stake-token-holder{
        border-radius: 20px;
        border: 3px solid rgb(255, 228, 49);
        margin: 30px;
        height: 250px;
        padding: 10px;
        background-color: $buttoncolor;
        -webkit-box-shadow:0px 0px 20px 0px rgba(4, 3, 19, 0.69);
    -moz-box-shadow: 0px 0px 20px 0px  rgba(4, 3, 19, 0.69);
    box-shadow: 0px 0px 20px 0px  rgba(4, 3, 19, 0.69);
        
        .token-img-n-title{
            display: block;
        }

        img{
            width: 50px;
            height: 50px;
        }
        p{
            color: white;
            font-weight: 500;
            font-size: 25px;
            padding-left: 10px;
        }
    }
}

// tablet
@media (min-width: 768px) and (max-width: 1024px) {

    .navbar {
        
        flex-direction: column;
        align-items: flex-start;
        #logo{
            width: 150px;
        }
        .navbar-links-hide{
            display: none;
        }

        .navbar-links-right-hide{
            display: none;
        }

        .navbar-links-right{
            width: 100%;
            margin-top: 5px;
            li{
                text-align: right;
                a{
                    padding: .6rem 1rem;
                 
                }
            }
            ul{
                width: 100%;
                flex-direction: column;
                
    
            }
        }
     

        
       
        .navbar-links{
            width: 100%;
            margin-top: 5px;
            li{
                text-align: right;
                a{
                    padding: .6rem 1rem;
                 
                }
            }
            ul{
                width: 100%;
                flex-direction: column;
            }
        }
     
       
        
        .toggle-button{
            display: flex;
            cursor: pointer;
        }

        
    }
  


   




    .sign-up-main-holder{
        height: 80vh;
        width: 100%;
        text-align: center;
    
        .sign-up-holder{
            text-align: left;
            margin: auto;
            width: 80%;
            height: 70vh;  
            padding:  0;
            background:rgba(156, 156, 156, 0.1);
            border-radius: 15px;
            box-shadow: 10px 10px 11px 0px rgba(0,0,0,0.2);
        -webkit-box-shadow: 10px 10px 11px 0px rgba(0,0,0,0.2);
        -moz-box-shadow: 10px 10px 11px 0px rgba(0,0,0,0.2);
            .form-holder{
                width: 60%;
                margin: 0 auto;
                
        
                .btn-holder{
                    display: flex;
                    justify-content: center;
                    margin: auto;
                }
        
               
                img{
                    width: 40px;
                    margin: 0 8px;
                    cursor: pointer;
                   
                }
                div{
                    margin: auto;
                }
                         
                button {
                    background-image: linear-gradient(to right, #02AAB0 0%, #00CDAC  51%, #02AAB0  100%);
                    margin:30px 10px;
                    padding: 5px 40px;
                    text-align: center;
                    text-transform: uppercase;
                    transition: 0.5s;
                    background-size: 200% auto;
                    color: white;            
                    box-shadow: 0 0 20px #eee;
                    border-radius: 10px;
                    border-style: none;
                    outline: none;
                    display: block;
                    width: 250px;
                    height: 50px;
        
                    &:hover{
                        background-position: right center; /* change the direction of the change here */
                    color: #fff;
                    text-decoration: none;
                    }
                  }
        
               
        
                label{
                    font-size: 20px;
                }
        
                input{
                    width: 100%;
                    outline: none;
                    border-style: none;
                    border-bottom: 5px solid $buttoncolor;
                    background-color: transparent;
                }
            }
            .img-holder{
                width: 100%;
                height: 25%;
                position: relative;
        
            
                img{
                    position: absolute;
                    top: 50%;
                    left: 50%;
                    width: 550px;
                    transform: translate(-50%, -50%);
                }
            }
            
        }
    }


    // staking page
    .stake-main-container{
        text-align: center;
        height: 100vh;
    
        .main-container{
            width: 60%;
            margin: auto;
            
        }
    
        .number{
            margin-left: 20px;
            color: #F5AC37;
            padding: 0 50px;
        }
    }
    
    .stake-token-holder{
        border-radius: 20px;
        border: 3px solid rgb(255, 228, 49);
        margin: 30px;
        height: 90px;
        padding: 10px;
        background-color: $buttoncolor;
        -webkit-box-shadow:0px 0px 20px 0px rgba(4, 3, 19, 0.69);
    -moz-box-shadow: 0px 0px 20px 0px  rgba(4, 3, 19, 0.69);
    box-shadow: 0px 0px 20px 0px  rgba(4, 3, 19, 0.69);
        

        .input-stake{
            color: white;
        }   

        .token-img-n-title{
            display: flex;
           
        }
    
        img{
            width: 50px;
            height: 50px;
        }
        p{
            color: white;
            font-weight: 500;
            font-size: 25px;
            padding-left: 10px;
        }

       
    }
}